---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: collections.yml
driver:
  name: docker
platforms:
  - name: almalinux
    image: almalinux:8
    dockerfile: ../common/Dockerfile-EL.j2
  - name: centos7
    image: centos:7
    dockerfile: ../common/Dockerfile-EL.j2
  - name: rocky8
    image: rockylinux:8
    dockerfile: ../common/Dockerfile-rocky.j2
  - name: ubuntu2004
    image: ubuntu:20.04
    dockerfile: ../common/Dockerfile-ubuntu.j2
  - name: ubuntu2204
    image: ubuntu:22.04
    dockerfile: ../common/Dockerfile-ubuntu.j2
  - name: opensuseleap
    image: opensuse/leap:latest
    dockerfile: ../common/Dockerfile-suse.j2
  - name: amazonlinux2
    image: amazonlinux:2
    dockerfile: ../common/Dockerfile-amazon.j2
  - name: amazonlinux2023
    image: amazonlinux:2023
    dockerfile: ../common/Dockerfile-amazon.j2
provisioner:
  name: ansible
  lint: |
    yamllint .
    ansible-lint
    flake8
  config_options:
    defaults:
      remote_tmp: /tmp/.ansible
verifier:
  name: testinfra
scenario:
  test_sequence:
    - dependency
    - cleanup
    - destroy
    - syntax
    - create
    - prepare
    - converge
    # - idempotence
    - side_effect
    - verify
    - cleanup